// priority: 100

//Water Generator




    onEvent('recipes', e => {
        e.recipes.custommachinery.custom_machine("caveopolis:water_generator", 100)

            .requireFluidPerTick(Fluid.of("minecraft:water", 5))
            .produceEnergyPerTick(10)
            .resetOnError()
        })

    onEvent('recipes', e => {
        e.recipes.custommachinery.custom_machine("caveopolis:water_generator", 100)

            .requireFluidPerTick(Fluid.of("caveopolis:ore_forming_water", 5))
            .produceEnergyPerTick(25)
            .resetOnError()
        })
    
    
    
    //Block Recipe
    
    onEvent('recipes', e => {
    e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:water_generator"}'), ['SSS','FOE', 'SSS'], {O: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:block_eroder"}'), S: 'caveopolis:mixed_stone_ingot', E: 'thermal:energy_cell_frame', F: 'thermal:fluid_cell_frame'}).id('caveopolis:water_generator')
    })